﻿using Microsoft.AspNetCore.Mvc;

using TestProject.Models;

namespace TestProject.Controllers
{
    /// <summary>
    /// 테스트 컨트롤러
    /// </summary>
    public class TestController : Controller
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 인덱스 페이지 처리하기 - Index()

        /// <summary>
        /// 인덱스 페이지 처리하기
        /// </summary>
        /// <returns>액션 결과</returns>
        [HttpGet]
        public IActionResult Index()
        {
            return View();
        }

        #endregion
        #region 인덱스 페이지 처리하기 - Index(test)

        /// <summary>
        /// 인덱스 페이지 처리하기
        /// </summary>
        /// <param name="test">테스트</param>
        /// <returns>액션 결과</returns>
        [HttpPost]
        public IActionResult Index(TestModel test)
        {
            if(string.IsNullOrEmpty(test.Name))
            {
                ModelState.AddModelError("Name", "성명을 입력해 주시기 바랍니다.");
            }

            if(string.IsNullOrEmpty(test.Content))
            {
                ModelState.AddModelError("Content", "내용을 입력해 주시기 바랍니다.");
            }

            if(!ModelState.IsValid)
            {
                // @Html.ValidationSummary(true)인 경우 아래 에러 메시지만 표시된다.
                ModelState.AddModelError("", "에러가 발생했습니다.");
            }

            if(ModelState.IsValid)
            {
                return View("Completed");
            }

            return View(test);
        }

        #endregion
        #region 완료시 페이지 처리하기 - Completed()

        /// <summary>
        /// 완료시 페이지 처리하기
        /// </summary>
        /// <returns>액션 결과</returns>
        public IActionResult Completed()
        {
            return View();
        }

        #endregion
    }
}