﻿using System.ComponentModel.DataAnnotations;

namespace TestProject.Models
{
    /// <summary>
    /// 테스트 모델
    /// </summary>
    public class TestModel
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region ID - ID

        /// <summary>
        /// ID
        /// </summary>
        public int ID { get; set; }

        #endregion
        #region 성명 - Name

        /// <summary>
        /// 성명
        /// </summary>
        [Display(Name = "성명")]
        [Required(ErrorMessage = "성명을 입력해 주시기 바랍니다.")]
        [StringLength(25, MinimumLength = 1, ErrorMessage = "성명은 1~25자를 입력해 주시기 바랍니다.")]
        public string Name { get; set; }

        #endregion
        #region 내용 - Content

        /// <summary>
        /// 내용
        /// </summary>
        [Display(Name = "내용")]
        [Required(ErrorMessage = "내용을 입력해 주시기 바랍니다.")]
        [StringLength(255, MinimumLength = 1, ErrorMessage = "내용은 1~244자를 입력해 주시기 바랍니다.")]
        public string Content { get; set; }

        #endregion
    }
}